Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[solved] virtualbox-modules compile only for latest kernel
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo
View previous topic :: View next topic  
Author Message
polslinux
Apprentice
Apprentice


Joined: 12 Apr 2010
Posts: 251
Location: Veneto

PostPosted: Wed May 22, 2013 7:43 pm    Post subject: [solved] virtualbox-modules compile only for latest kernel Reply with quote

I have gentoo-sources-3.9.3 and pf-sources-3.9.2 installed on my system but if i boot with pf-sources and then i do emerge virtualbox-modules, the modules are installed into the 3.9.3 directory instead of 3.9.2-pf.
How can i solve this little problem?
_________________
PC-Desktop: Ubuntu 12.04 x86
Notebook Sony Vaio VPCEH: Gentoo ~amd64


Last edited by polslinux on Thu May 23, 2013 1:20 pm; edited 1 time in total
Back to top
View user's profile Send private message
imaginasys
Tux's lil' helper
Tux's lil' helper


Joined: 26 Dec 2009
Posts: 83
Location: Québec

PostPosted: Wed May 22, 2013 7:50 pm    Post subject: Reply with quote

I'll give it a try : eselect kernel list

Then select the pf kernel : eselect kernel set #number

The eselect kernel set n will recreate the link to the good active kernel.
The reboot won't change it.

Regards,
BT :mrgreen:
Back to top
View user's profile Send private message
polslinux
Apprentice
Apprentice


Joined: 12 Apr 2010
Posts: 251
Location: Veneto

PostPosted: Thu May 23, 2013 1:20 pm    Post subject: Reply with quote

there is an eselect for everything :D
thanks you solve my problem!
_________________
PC-Desktop: Ubuntu 12.04 x86
Notebook Sony Vaio VPCEH: Gentoo ~amd64
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum